Skip to content

Retrieve Bulk Import Status

Use the following endpoint to retrieve the status of a bulk narrative import:

GET/api/{version}/app/safety/import-narrative/batch/{importId}
NameDescription
importIdThe import_id of the bulk narrative import job, retrieved from the job request response details.
curl --location --request GET 'https://myvault.veevavault.com/api/v23.1/app/safety/import-narrative/batch/dc2daf9d-8549-4701-805a-c3f62a2aefa5' \
--header 'Authorization: {SESSION_ID}'
{
    "responseStatus": "completed__v",
    "responseDetails" : {
        "import_id": "dc2daf9d-8549-4701-805a-c3f62a2aefa5",
        "job_id": "203715",
        "start_time": "2021-11-30T19:17:38.669Z[GMT]",
        "end_time": "2021-11-30T19:17:47.996Z[GMT]",
        "total_narratives": 3,
        "completed_narratives": 3
    },
    "data": [
        {
            "status": "SUCCESS",
            "case_id": "V2B000000002001",
            "narrative_document_version": "12_0_2"
        },
        {
            "status": "SUCCESS",
            "case_id": "V2B000000002002",
            "narrative_document_version": "1_0_1"
        },
        {
            "status": "FAILED",
            "case_id": "V2B000000002003",
            "errors": [ { "type": "INVALID_DATA", "message": "Error message describing why this document version was not added." } ]
        }
    ]
}
{
    "responseStatus": "in_progress__v",
    "responseDetails" : {
        "import_id" : "db1e69cc-171b-11ec-9621-0242ac130002",
        "start_time" : "2021-09-16 00:00:00.0",
        "total_narratives": 3,
        "completed_narratives": 1
    }
}

If a bulk import job is complete, the response returns details of each narrative document.

If a bulk import job is incomplete, the response returns details of the job in progress.